Loading...
Searching...
No Matches
Dune::TypeTree::VisitDirectChildren Struct Reference
dune-typetree » Traversal

Mixin base class for visitors that only want to visit the direct children of a node. More...

`#include <dune/typetree/visitor.hh>`

Inheritance diagram for Dune::TypeTree::VisitDirectChildren:

## Classes

struct | VisitChild
| Template struct for determining whether or not to visit a given child. More...

## Detailed Description

Mixin base class for visitors that only want to visit the direct children of a node.

This mixin class will reject all children presented to it, causing the algorithm to only visit the root node and call DefaultVisitor::beforeChild() and DefaultVisitor::afterChild() for its direct children.

The documentation for this struct was generated from the following file:

- visitor.hh